[Buildroot] [PATCH 1/1] package/ncurses: Fix GCC 5.x preprocessor failure

Jaap Crezee jaap at jcz.nl
Sat May 30 11:49:15 UTC 2015


On 05/28/15 01:51, Doug Kehn wrote:
> Building ncurses 5.9 with GCC 5.x fails with a syntax error, caused by
> earlier preprocessing. This failure is more likely when building for
> host (e.g. host-ncurses) that recently updated to GCC 5.x.
> 
> This patch is taken from the following link (more information is also
> available here):
> https://groups.google.com/forum/#!topic/sage-trac/U31shviuqzk
> 
> Signed-off-by: Doug Kehn <rdkehn at yahoo.com>

Acked-by: Jaap Crezee <jaap at jcz.nl>
Tested-by: Jaap Crezee <jaap at jcz.nl>

This patch works for me on my Archlinux updated system (gcc 5.1.0)

Regards,

Jaap Crezee



More information about the buildroot mailing list